# -*- coding: utf-8 -*-
# Generated by Django 1.11.17 on 2021-09-28 16:18
from __future__ import unicode_literals

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('customers', '0067_merge_20210927_1120'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='historicalcountry',
            name='history_user',
        ),
        migrations.AlterModelOptions(
            name='historicalapplieditem',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': 'historical applied item'},
        ),
        migrations.AlterModelOptions(
            name='historicalexpensetype',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': 'historical expense type'},
        ),
        migrations.AlterModelOptions(
            name='historicalgeneralexpense',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': 'historical general expense'},
        ),
        migrations.AlterModelOptions(
            name='historicalitem',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': 'historical item'},
        ),
        migrations.AlterModelOptions(
            name='historicalreceipt',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': 'historical receipt'},
        ),
        migrations.AlterModelOptions(
            name='historicalworker',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': 'historical worker'},
        ),
        migrations.RemoveField(
            model_name='company',
            name='country',
        ),
        migrations.RemoveField(
            model_name='historicalcompany',
            name='country',
        ),
        migrations.AddField(
            model_name='company',
            name='country_id',
            field=models.PositiveSmallIntegerField(blank=True, null=True, verbose_name='Country'),
        ),
        migrations.AddField(
            model_name='historicalcompany',
            name='country_id',
            field=models.PositiveSmallIntegerField(blank=True, null=True, verbose_name='Country'),
        ),
        migrations.DeleteModel(
            name='Country',
        ),
        migrations.DeleteModel(
            name='HistoricalCountry',
        ),
    ]
